/*
 *  CONFIGURACION HC-06
 *  Descargar el sketch al Arduino, desconectar el USB y/o la alimentación externa, después conectar el módulo Bluetooth como sigue si el Arduino opera a 3.3 V:
 *  GND a GND
 *  5 V a 5 V
 *  TXD al pin digital 10
 *  RXD al pin digital 11
 *  KEY no se conecta
 *  SATE no se conecta
 *
 *  Si el Arduino opera a 5 V debe convertir los niveles de TX, RX
 *
 *  Revisar las conexiones y conectar de nuevo la alimentación,
 *  Abrir el monitor serial (En el menú herramientas) y escoger formato de fin de linea "NL & CR" (Nueva línea y retorno del carro) y velocidad de 9600 baudios
 *  Entonces ya se puede enviar los comanados AT desde el monitor serial.
 */
 
#include <SoftwareSerial.h>

#define RxD 10
#define TxD 11

SoftwareSerial BTSerial(RxD, TxD);   //Crea un puerto serial por software en 10 y 11

void setup()
{
  pinMode(RxD, INPUT);
  pinMode(TxD, OUTPUT);
  delay(100);
  Serial.begin(9600);
  BTSerial.begin(9600);
  Serial.println("Enter AT commands:");       
}

void loop()
{
    if (Serial.available())     // Si hay datos listos para ser leidos del puerto serie de Arduino
    BTSerial.write(Serial.read());    //Leer datos del puerto serie de Arduino y transmitirlos por el puerto serie del módulo BT
    
  if (BTSerial.available())   // Si hay datos listos para ser leidos del módulo BT
    Serial.write(BTSerial.read());    //Leer datos del modulo y transmitirlos por el puerto serie de Arduino
}
